Skip to main content
GET
/
storage
/
objects
/
{object_id}
/
preview
Preview Object
curl --request GET \
  --url https://eomer-api.onrender.com/storage/objects/{object_id}/preview \
  --header 'Authorization: Bearer <token>'
{
  "object_id": "<string>",
  "columns": [
    "<string>"
  ],
  "sample": [
    {}
  ],
  "total_preview_rows": 123,
  "detected_timestamp_column": "<string>",
  "detected_target_column": "<string>",
  "detected_item_id_column": "<string>",
  "detected_frequency": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

object_id
string
required

Response

Successful Response

Preview payload for a tenant-owned CSV object.

object_id
string
required
columns
string[]
required
sample
Sample · object[]
required
total_preview_rows
integer
required
detected_timestamp_column
string | null
detected_target_column
string | null
detected_item_id_column
string | null
detected_frequency
string | null